

Patch from Stephen Hemminger <shemminger@osdl.org>

This patch gets rid of the following warnings.

fs/xfs/support/qsort.c: In function `qsort':
fs/xfs/support/qsort.c:202: warning: duplicate `const'



 fs/xfs/support/qsort.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN fs/xfs/support/qsort.c~const-warning-fix-2 fs/xfs/support/qsort.c
--- 25/fs/xfs/support/qsort.c~const-warning-fix-2	Mon Feb 17 14:57:10 2003
+++ 25-akpm/fs/xfs/support/qsort.c	Mon Feb 17 14:57:10 2003
@@ -199,7 +199,7 @@ qsort (void *const pbase, size_t total_e
   {
     char *const end_ptr = &base_ptr[size * (total_elems - 1)];
     char *tmp_ptr = base_ptr;
-    char *thresh = min(end_ptr, base_ptr + max_thresh);
+    char *const thresh = min_t(char *const, end_ptr, base_ptr + max_thresh);
     register char *run_ptr;
 
     /* Find smallest element in first threshold and place it at the

_
